Subject: spitz: add gpio button support (AK_INT and remote control description)

From: [email-masked] (Mark Brown)
Date: Wed, 7 Oct 2009 13:06:44 +0100

On Wed, Oct 07, 2009 at 01:29:51PM +0200, Stanislav Brabec wrote:

> SW_REMOTE_INSERT should be recognized by the Jack abstraction layer
> (sound/core/jack.c).

It's the other way around - the jack layer reports jacks for ALSA cards.
Also, for spitz you'd probably want to be using the ASoC wrapper layer.

> Well, I am thinking about defining extra values for resistors, that can
> make stuff even more useful at cost of need of non-standard wiring on
> fourth ring of the audio jack. It can generate SW_MICROPHONE_INSERT,
> SW_LINEOUT_INSERT, and not yet defined SW_HEADESET_INSERT and
> SW_LINEIN_INSERT (which would require hardware mod inside Zaurus for
> stereo line-in).

Headset should be represented by reporting headphone plus microphone on
one jack simultaneously.